org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryFilter

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNAdminEvent>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryFilter

All Implemented Interfaces:
  ISvnObjectReceiver<SVNAdminEvent>, ISvnOperationOptionsProvider

    public class SvnRepositoryFilter
    extends SvnReceivingOperation<SVNAdminEvent>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryFilter(SvnOperationFactory factory)`

### Method Summary

Methods
`java.io.InputStream` `getDumpStream()`
`protected int` `getMinimumTargetsCount()`
`java.util.Collection<java.lang.String>` `getPrefixes()`
`java.io.OutputStream` `getResultDumpStream()`
`boolean` `isDropEmptyRevisions()`
`boolean` `isExclude()`
`boolean` `isPreserveRevisionProperties()`
`boolean` `isRenumberRevisions()`
`boolean` `isSkipMissingMergeSources()`
`void` `setDropEmptyRevisions(boolean dropEmptyRevisions)`
`void` `setDumpStream(java.io.InputStream dumpStream)`
`void` `setExclude(boolean exclude)`
`void` `setPrefixes(java.util.Collection<java.lang.String> prefixes)`
`void` `setPreserveRevisionProperties(boolean preserveRevisionProperties)`
`void` `setRenumberRevisions(boolean renumberRevisions)`
`void` `setResultDumpStream(java.io.OutputStream resultDumpStream)`
`void` `setSkipMissingMergeSources(boolean skipMissingMergeSources)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryFilter

    public SvnRepositoryFilter(SvnOperationFactory factory)

### Method Detail

#### getDumpStream

    public java.io.InputStream getDumpStream()

#### setDumpStream

    public void setDumpStream(java.io.InputStream dumpStream)

#### getResultDumpStream

    public java.io.OutputStream getResultDumpStream()

#### setResultDumpStream

    public void setResultDumpStream(java.io.OutputStream resultDumpStream)

#### isExclude

    public boolean isExclude()

#### setExclude

    public void setExclude(boolean exclude)

#### isRenumberRevisions

    public boolean isRenumberRevisions()

#### setRenumberRevisions

    public void setRenumberRevisions(boolean renumberRevisions)

#### isDropEmptyRevisions

    public boolean isDropEmptyRevisions()

#### setDropEmptyRevisions

    public void setDropEmptyRevisions(boolean dropEmptyRevisions)

#### isPreserveRevisionProperties

    public boolean isPreserveRevisionProperties()

#### setPreserveRevisionProperties

    public void setPreserveRevisionProperties(boolean preserveRevisionProperties)

#### getPrefixes

    public java.util.Collection<java.lang.String> getPrefixes()

#### setPrefixes

    public void setPrefixes(java.util.Collection<java.lang.String> prefixes)

#### isSkipMissingMergeSources

    public boolean isSkipMissingMergeSources()

#### setSkipMissingMergeSources

    public void setSkipMissingMergeSources(boolean skipMissingMergeSources)

#### getMinimumTargetsCount

    protected int getMinimumTargetsCount()

Overrides:
  `getMinimumTargetsCount` in class `SvnOperation<SVNAdminEvent>`